image: python:3.9

# Change pip's cache directory to be inside the project directory since we can
# only cache local items.
variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

# Pip's cache doesn't store the python packages
# https://pip.pypa.io/en/stable/reference/pip_install/#caching
#
# If you want to also cache the installed packages, you have to install
# them in a virtualenv and cache it as well.
cache:
  paths:
    - .cache/pip
    - venv/

before_script:
  - python3 --version ;
  - python3 -m venv ./venv
  - source ./venv/bin/activate
  - pip --version
  - pip install --upgrade pip
  - pip install -r requirements.txt


lint-test-job:   # This job also runs in the test stage.
  stage: test    # It can run at the same time as unit-test-job (in parallel).
  script:
    - echo "Lintest starting"
    - pip install flake8
    - pip install Flake8-pyproject
    - flake8 src/data/clean_data.py
    - echo "No lint issues found."
